Subject: I-D Action: draft-hu-spring-segment-routing-proxy-forwarding-11.txt

From: [email-masked]
Date: Sun, 02 Aug 2020 18:42:43 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : SR-TE Path Midpoint Protection
        Authors         : Zhibo Hu
                          Huaimo Chen
                          Junda Yao
                          Chris Bowers
                          China Telecom
	Filename        : draft-hu-spring-segment-routing-proxy-forwarding-11.txt
	Pages           : 23
	Date            : 2020-08-02

Abstract:
   Segment Routing Traffic Engineering (SR-TE) supports the creation of
   explicit paths using segment lists containing adjacency-SIDs, node-
   SIDs, anycast-SIDs, and binding-SIDs.  When the segment list defining
   an SR-TE path contains a node-SID, and the node fails, the network
   may no longer be able to properly forward traffic on that SR-TE path.
   [I-D.ietf-rtgwg-segment-routing-ti-lfa] describes a mechanism that
   allows local repair actions on the direct neighbors of the failed
   node to temporarily route traffic to the node immediately following
   the failed node on the SR-TE path segment list.  However, once the
   IGP shortest paths have converged, the local repair mechanism is no
   longer sufficient to continue forwarding traffic using the original
   segment list of the SR-TE path, since the non-neighbors of the failed
   node will no longer have a route to reach the failed node.  This
   document describes a mechanism that allows traffic to continue to be
   forwarded on an SR-TE path for an extended period of time after the
   failure of a node used in the path's segment list.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-hu-spring-segment-routing-proxy-forwarding/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-hu-spring-segment-routing-proxy-forwarding-11
https://datatracker.ietf.org/doc/html/draft-hu-spring-segment-routing-proxy-forwarding-11

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-hu-spring-segment-routing-proxy-forwarding-11

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/